Summary:	Java bindings for the OpenGL API
Name:		jogl
Version:	1.1.1
Release:	%mkrel 11
Group:		Development/Java
License:	BSD
URL:		http://jogl.dev.java.net/
Source0:	https://jogl.dev.java.net/files/documents/27/17108/%{name}-%{version}-src.zip
Source1:	%{name}.properties
Patch0:		%{name}-1.1.1-src-no-link-against-sun-java.patch
Patch1:		%{name}-1.1.1-fix-gluegen-properties.patch
Patch2:		%{name}-1.1.1-fix-antlr-classpath.patch
BuildRequires:	java-devel
BuildRequires:	ant
BuildRequires:	ant-antlr
BuildRequires:	antlr
BuildRequires:	jpackage-utils
BuildRequires:	unzip
BuildRequires:	update-alternatives
BuildRequires:	xml-commons-apis
BuildRequires:	cpptasks
BuildRequires:	libx11-devel
BuildRequires:  libxt-devel
BuildRequires:	mesaegl-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	freeglut-devel
BuildRequires:	mesaglesv1-devel
BuildRequires:	mesaglesv2-devel
Requires:	java >= 1.5
ExcludeArch:	%{arm}

%description 
The JOGL Project hosts a reference implementation of the Java bindings for
OpenGL API, and is designed to provide hardware-supported 3D graphics to
applications written in the Java programming language.

It is part of a suite of open-source technologies initiated bu the Game
Technology Group at Sun Microsystems.

JOGL provides full access to the APIs in the OpenGL 1.5 specification as
well as nearly all vendor extensions, and integrated with the AWT and Swing
widget sets.

%package javadoc
Summary:	Javadoc for jogl
Group:		Documentation

%description javadoc
Javadoc for jogl.

%package manual
Summary:	User documetation for jogl
Group:		Documentation

%description manual
Usermanual for jogl.


%prep
rm -rf gluegen
%setup -q -n %{name}
pushd make
%patch0 -p0
popd
(
cd ../gluegen/
%patch1 -p1
%patch2 -p1
)

%__cp %{SOURCE1} make

%build
export OPT_JAR_LIST="antlr ant/antlr"
export CLASSPATH=$(build-classpath antlr ant/ant-antlr)

pushd make
perl -pi -e 's@/usr/X11R6/%{_lib}@%{_libdir}@g' build.xml

%ant \
    -Duser.home=%{_topdir}/SOURCES \
    -Dantlr.jar=$(build-classpath antlr) \
    -Dc.compiler.debug=true \
    all \
    javadoc.dev.x11

popd

%install
# jars
%__install -dm 755 %{buildroot}%{_javadir}
%__install -m 644 build/%{name}.jar \
	%{buildroot}%{_javadir}/%{name}-%{version}.jar
pushd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

# native lib
%__install -dm 755 %{buildroot}%{_libdir}
%__install -m 744 build/obj/lib*.so \
	%{buildroot}%{_libdir}

# javadoc
%__install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -pr javadoc_jogl_dev/* \
	%{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} # ghost symlink

%post javadoc
%__rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%{_javadir}/*.jar
%attr(755,root,root) %{_libdir}/libjogl.so
%attr(755,root,root) %{_libdir}/libjogl_awt.so

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%doc doc/*


%changelog
* Mon Jul 04 2016 pterjan <pterjan> 1.1.1-11.mga6
+ Revision: 1038657
- Arm is not supported

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Mon Feb 29 2016 umeabot <umeabot> 1.1.1-9.mga6
+ Revision: 980784
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 1.1.1-8.mga6
+ Revision: 892672
- reenable debug package as it should

* Mon Oct 19 2015 daviddavid <daviddavid> 1.1.1-7.mga6
+ Revision: 892660
- disable debug package to fix build with latest rpm
- fix Group

* Fri Oct 31 2014 pterjan <pterjan> 1.1.1-7.mga5
+ Revision: 794890
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 740000
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 680842
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.1.1-4.mga4
+ Revision: 541517
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 1.1.1-3.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 355526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 13 2012 dmorgan <dmorgan> 1.1.1-2.mga2
+ Revision: 208367
- mesaglw-devel does not exist anymore, so remove from buildrequires

* Mon Aug 29 2011 grenoya <grenoya> 1.1.1-1.mga2
+ Revision: 136271
- add BR on mesagl* but mesaglut-devel replaced by freeglut-devel
- remove properly gluegen folder at setup
- remove BuildRequire on mesa-common-devel (not needed)

* Thu Apr 07 2011 grenoya <grenoya> 1.1.1-0.6.8.mga1
+ Revision: 81668
- add patch from Fedora to fix gluegen.properties
- add patch from Fedora to fix antlr-classpath
- imported package jogl


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-0.6.8mdv2011.0
+ Revision: 612509
- the mass rebuild of 2010.1 packages

* Thu Apr 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.1-0.6.7mdv2010.1
+ Revision: 540949
- rebuild

* Wed Sep 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.1-0.6.6mdv2010.0
+ Revision: 443343
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Nov 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.1-0.6.4mdv2009.1
+ Revision: 301148
- finally make it work
- add buildrequires on cpptasks
- don't build Cg support
- add source and spec files
- Created package structure for jogl.

